<!DOCTYPE HTML>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
        
        <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Lato"/>
        <link rel="stylesheet" href="quiz_result.css">
    </head>
    
    <body>


    	<div class="container-fluid">
    		<div class="row mx-n5">
    			<div class="col-12" id="display-container">
    			
    			</div>
    		</div>
    	</div>


		
		<!-- QUIZ RESULT TEMPLATE =>START -->
        <div class="container quiz-result quiz-result-template hidden">
            <div class="row py-5">
                <div class="col-12"></div>
            </div>

            <div class="row">
                <div class="col-3"></div>
                <div class="col-6">
                    <span class="quiz-title">JS Quiz</span>
                </div>
                <div class="col-3"></div>
            </div>


            <div class="row mt-n1">
                <div class="col-3"></div>
                <div class="col-6">
                    <span class="quiz-short-description">Mirsad Ostrakovic</span>
                </div>
                <div class="col-3"></div>
            </div>


            <div class="row py-4">
                <div class="col-3"></div>
                <div class="col-6">
                    <div class="row">
                        
                        <div class="col-5 mx-n3">
                            <div class="row">
                                <div class="col-1"></div>
                                <div class="col-10 d-flex quiz-info-button left">
                                    <span class="mx-auto my-auto text">Number of question: 21</span>
                                </div>
                                <div class="col-1"></div>
                            </div>
                        </div>

                        <div class="col-5 mx-n3">
                            <div class="row">
                                <div class="col-1"></div>
                                <div class="col-10 d-flex quiz-info-button right">
                                    <span class="mx-auto my-auto text">Correct answers: 17</span>
                                </div>
                                <div class="col-1"></div>
                            </div>
                        </div>

                    
                        <div class="col-2"></div>
                    
                    </div>   
                </div>
                <div class="col-3"></div>
            </div>
            
            
            <div class="row">
            	<div class="col-12 questions-box">
       				<!-- HERE WILL BE PUT QUESTION ELEMENTS -->     	
            	</div>
            </div>
       	
        </div>
        <!-- QUIZ RESULT TEMPLATE => END -->
            
            

 		<!-- QUIZ RESULT QUESTION TEMPLATE => START -->
        <div class="row py-4 quiz-result-question quiz-result-question-template hidden">
        	<div class="col-3 mr-2"></div>
            <div class="col-6 ml-1">
            	<div class="row question-box correct">
                	<div class="col-11 my-auto">
                        
                        <!-- QUESTION TEXT => START -->      
                    	<div class="row d-flex py-2">
                        	<div class="col-1"></div>
                            <div class="col-11 question-text my-auto" onclick="this.classList.toggle('active');">QUESTION TEXT</div>
                        </div>
						<!-- QUESTION TEXT => END -->

                        <div class="row d-flex collapse collapse-hidden">
                        	<div class="col-12 pt-2 pb-1 answers-box">
                            	<!-- HERE IS PLACE TO ADD ANSWERS -->  
                            </div>
                        </div>

                    </div>
                    
                    <!-- COLLAPSE BUTTON => START --> 
                     <div class="col-1 d-flex">
                     	<span class="mx-auto my-auto"><img class="img rotate" src="expand.png" alt="Icon" onclick="this.parentNode.parentNode.parentNode.getElementsByClassName('collapse')[0].classList.toggle('collapse-hidden'); this.classList.toggle('down');"></span>
                     </div>
                     <!-- COLLAPSE BUTTON => END --> 
                    
                </div>
            </div>
            <div class="col-3"></div>
       	</div>
        <!-- QUIZ RESULT QUESTION TEMPLATE => END -->




		<!-- QUIZ RESULT SELECTED ANSWER TEMPLATE => START -->
        <div class="row quiz-result-answer quiz-result-answer-template hidden">
        	<div class="col-1 mx-0 px-0 d-flex">
            	<img class="selected-icon d-flex my-auto ml-auto" src="cancel.svg" alt="Icon">
           	</div>
            <div class="col-11 answer-text" onclick="this.classList.toggle('active');">ANSWER TEXT</div>
        </div>
       	<!-- QUIZ RESULT SELECTED ANSWER TEMPLATE => END -->






  		<!-- HORIZONTAL LINE TEMPLATE => START -->       
        <div class="row quiz-result-horizontal-line-template hidden">
        	<div class="col-1"></div>
            <div class="col-11">
          		<div class="horizontal-line mr-n3"></div>
            </div>
       	</div>
        <!-- HORIZONTAL LINE TEMPLATE => END -->





            <div class="row py-4 hidden">
                    <div class="col-3 mr-2"></div>
                    <div class="col-6 ml-1">
                        <div class="row question incorrect">
                            <div class="col-11 my-auto">
                                  
                                <div class="row d-flex py-2">
                                    <div class="col-1"></div>
                                    <div class="col-11 question-text my-auto" onclick="this.classList.toggle('active');">What is the correct JavaScript syntax to change the content of the HTML element below?</div>
                                </div>
    
                                <div class="row d-flex collapse collapse-hidden">
                                    <div class="col-12 pt-2 pb-1">
                                        <div class="row answer correct">
                                            <div class="col-1 mx-0 px-0 d-flex">
                                                <img class="incorrect-icon d-flex my-auto ml-auto" src="cancel.svg" alt="Icon">
                                            </div>
                                            <div class="col-11 answer-text" onclick="this.classList.toggle('active');">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.</div>
                                        </div>
                                            
                                        <div class="row">
                                            <div class="col-1"></div>
                                            <div class="col-11">
                                                <div class="horizontal-line mr-n3"></div>
                                            </div>
                                        </div>
                                            
                                        <div class="row answer incorrect">
                                            <div class="col-1"></div>
                                            <div class="col-11 answer-text" onclick="this.classList.toggle('active');">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.</div>
                                        </div>
                                    </div>
                                </div>
    
                            </div>
                            <div class="col-1 d-flex">
                                <span class="mx-auto my-auto"><img class="img rotate" src="expand.png" alt="Icon" onclick="this.parentNode.parentNode.parentNode.getElementsByClassName('collapse')[0].classList.toggle('collapse-hidden'); this.classList.toggle('down');"></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-3"></div>
                </div>
    
        </div>



    






    </body>
    
     <!-- MY JAVASCRIPT-->
    <script type="text/javascript" src="quiz_result_communication.js"></script>
    <script type="text/javascript" src="quiz_result_animation.js"></script>


</html>
